Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersioning

Toggle document versioning

Disable versioning to resume editing the promoted document directly. When disabled, existing versions are archived but remain available for review or…

PATCH
/api/v1/documents/{id}/versioning

Disable versioning to resume editing the promoted document directly. When disabled, existing versions are archived but remain available for review or reactivation.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.orbiqhq.com/api/v1/documents/{id}/versioning" \\  -H "Authorization: Bearer $ACCESS_TOKEN" \\  -H "Content-Type: application/json" \\  -d '{"versioning": false}'
{
  "success": true,
  "data": {
    "versioning": false
  }
}
{
  "type": "string",
  "code": "string",
  "message": "string",
  "doc_url": "string"
}
Empty
{
  "type": "string",
  "code": "string",
  "message": "string",
  "doc_url": "string"
}
{
  "type": "string",
  "code": "string",
  "message": "string",
  "doc_url": "string"
}
Empty

How is this guide?